import { Component, ViewChild } from '@angular/core';
import "jquery";
import "jquery-ui-bundle";
import { IgGridComponent, Column, Feature } from 'igniteui-angular2';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css'],
})
export class AppComponent {
  title = 'app';
  private id = "grid1";
  private gridOptions: IgGrid;
  private ds: any;
  
  constructor() {
		this.gridOptions = {
			autoCommit: true,
			width: "100%",
      height: "500px",
      dataSource: [{"ProductID": 1,"ProductName": "Chai","QuantityPerUnit": "10 boxes x 20 bags","UnitPrice": "18.0000"}],
			autoGenerateColumns: true
    }
	}
}
